<?php
namespace nur\passwd;

use PHPUnit\Framework\TestCase;

class passwordsTest extends TestCase {
  function testNtlmPasswords(): void {
    $password = "tagada";
    self::assertSame("A725F22CD78658E45CF6E08670BFBA70", passwords::ntlm($password));
    self::assertSame("93F202BB581683A7AAD3B435B51404EE", passwords::lm($password));

    $password = "tagadatsointsoinpouetpouet";
    self::assertSame("F25F2A1C672FEE777A480411AC0D68F6", passwords::ntlm($password));
    self::assertSame("06E39E786C60859072548ACC457CF244", passwords::lm($password));
  }
}
